LinuxCNC Install using MX Linux 19.4 - Geared Toward New Users

More
21 Mar 2024 03:41 #296434 by phillc54
That looks like some type of network issue to me, hm2_eth is to do with the ethernet for the mesa card.

Please Log in or Create an account to join the conversation.

More
21 Mar 2024 04:05 #296435 by acourtjester
I understand but I have do nothing to the connection to the mesa card.
Not sure if this means anything but a made a dummy Axis gui and it seem to load up fine. When I click on the wire connection a window in the upper right says it has established connection
There are LEDs on the mesa card showing communications. The connection on the card is showing a green and yellow LED on.
I had a WIFI card in the PC and have WEB service, I did not have that before this load of the new software, and it would start QTPLasmaC fine and would run it too. Maybe I should remove the WIFI card.
I am going to call it a night and go to bed
Thanks for your help

Please Log in or Create an account to join the conversation.

More
21 Mar 2024 04:23 #296436 by acourtjester
I did remove the WIFI card no change
This is another error that comes up too
 
Attachments:

Please Log in or Create an account to join the conversation.

More
21 Mar 2024 06:29 - 21 Mar 2024 07:04 #296443 by phillc54
That doesn't make sense, the path listed there should be the USER_M_PATH from the .ini file.

Are you using master branch (2.10) or 2.9 branch?

Can you post the result of this:
du -h ~/linuxcnc/nc_files/examples/


Edit: It seems that I have made a mistake with the expected location of the codes directory in package installations. I will try to fix it before the weekend if you can respond to the above two questions.
Last edit: 21 Mar 2024 07:04 by phillc54.

Please Log in or Create an account to join the conversation.

More
21 Mar 2024 14:35 #296472 by acourtjester
Thanks for your time Phill
attached is the screen shot of what you asked for, and other screen shots not sure if they help.
some thing that did not happen is 
mesaflash --device 7i76e --addr 10.10.10.10 --readhmid
I did create another GUI QTDragon and it opened without a problem, my limited experiences seems to point at the GUI QTPlasmaC setup or files needed for it.
 
 
 
Attachments:

Please Log in or Create an account to join the conversation.

More
21 Mar 2024 21:08 #296501 by snowgoer540
Are you using 2.9 or 2.10?

Please Log in or Create an account to join the conversation.

More
21 Mar 2024 21:15 #296502 by acourtjester
I'm a little green with this where do I look to answer your question

Please Log in or Create an account to join the conversation.

More
21 Mar 2024 21:22 #296503 by snowgoer540
Thinking on this a bit, you likely installed master as that’s what the directions say to. At the time, master was required for QtPlasmaC.

But, to answer your question, assuming you did a package install, you can open the synaptic package manager and search linuxcnc in the little search bar. It will show all the linuxcnc stuff you have installed and should start with 2.9 or 2.10.

Please Log in or Create an account to join the conversation.

More
21 Mar 2024 21:31 - 21 Mar 2024 21:40 #296505 by acourtjester
under latest version it shows 1:2.10.0
I assume that is version 2.10??
When I look at the .INI file is says master 2.9
Last edit: 21 Mar 2024 21:40 by acourtjester.

Please Log in or Create an account to join the conversation.

More
21 Mar 2024 22:12 #296508 by snowgoer540

under latest version it shows 1:2.10.0
I assume that is version 2.10??


That is a correct assumption. Thank you.

When I look at the .INI file is says master 2.9


This doesnt make sense to me, I wasnt aware the ini file showed the version. Either way, I'm going with what was shown in the package manager.

Please Log in or Create an account to join the conversation.

Time to create page: 0.342 seconds
Powered by Kunena Forum